Package com.ocient.jdbc.graph

# Enum Class OCGraph.ExecutionMode

java.lang.Object
java.lang.Enum<OCGraph.ExecutionMode>
com.ocient.jdbc.graph.OCGraph.ExecutionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<OCGraph.ExecutionMode>`, `Constable`

Enclosing class:
  `OCGraph`

public static enum OCGraph.ExecutionMode extends Enum<OCGraph.ExecutionMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS_DATAFLOW`
Always use the Dataflow implementation.
`ALWAYS_LEGACY`
Always use the legacy (non-Dataflow) implementation.
`AUTO_FASTEST`
Automatically choose the implementation marked as fastest in the code, provided the server supports Dataflows.

## Method Summary

Modifier and Type
Method
Description
`static OCGraph.ExecutionMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OCGraph.ExecutionMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALWAYS_LEGACY

public static final OCGraph.ExecutionMode ALWAYS_LEGACY
Always use the legacy (non-Dataflow) implementation.

### ALWAYS_DATAFLOW

public static final OCGraph.ExecutionMode ALWAYS_DATAFLOW
Always use the Dataflow implementation. Throws an exception or falls back if Dataflows are not supported by the server.

### AUTO_FASTEST

public static final OCGraph.ExecutionMode AUTO_FASTEST
Automatically choose the implementation marked as fastest in the code, provided the server supports Dataflows.

## Method Details

### values

public static OCGraph.ExecutionMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OCGraph.ExecutionMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null